<?php

namespace App\Repository;

use App\Entity\CollectifData;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @method CollectifData|null find($id, $lockMode = null, $lockVersion = null)
 * @method CollectifData|null findOneBy(array $criteria, array $orderBy = null)
 * @method CollectifData[]    findAll()
 * @method CollectifData[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class CollectifDataRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, CollectifData::class);
    }

    // /**
    //  * @return CollectifData[] Returns an array of CollectifData objects
    //  */
    /*
    public function findByExampleField($value)
    {
        return $this->createQueryBuilder('c')
            ->andWhere('c.exampleField = :val')
            ->setParameter('val', $value)
            ->orderBy('c.id', 'ASC')
            ->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    */

    /*
    public function findOneBySomeField($value): ?CollectifData
    {
        return $this->createQueryBuilder('c')
            ->andWhere('c.exampleField = :val')
            ->setParameter('val', $value)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
    */
}
